explain_linkat_or_die(3)

NAME
explain_linkat_or_die - link a file relative to directory and report errors

SYNOPSIS
#include <libexplain/linkat.h>

void explain_linkat_or_die(int old_dirfd, const char *old_path, int new_fildes, const char *new_path, int flags);
int explain_linkat_on_error(int old_dirfd, const char *old_path, int new_fildes, const char *new_path, int flags);

DESCRIPTION
The explain_linkat_or_die function is used to call the linkat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_linkat(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_linkat_on_error function is used to call the linkat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_linkat(3) function, but still returns to the caller.

old_dirfd
    The old_dirfd, exactly as to be passed to the linkat(2) system call.

old_path
    The old_path, exactly as to be passed to the linkat(2) system call.

new_fildes
    The new_fildes, exactly as to be passed to the linkat(2) system call.

new_path
    The new_path, exactly as to be passed to the linkat(2) system call.

flags
    The flags, exactly as to be passed to the linkat(2) system call.

RETURN VALUE
The explain_linkat_or_die function only returns on success, see linkat(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_linkat_on_error function always returns the value return by the wrapped linkat(2) system call.

EXAMPLE
The explain_linkat_or_die function is intended to be used in a fashion similar to the following example:
    explain_linkat_or_die(old_dirfd, old_path, new_fildes, new_path, flags);

SEE ALSO

linkat(2)
    create a file link relative to directory file descriptors

explain_linkat(3)
    explain linkat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller